Supported Mobile Devices

As our product develops, we may not be able to support older mobile devices with outdated software. You may experience odd bugs or nuances if that is the case.

At this time, we support the following for mobile devices:

  • iOS 12.0 and newer
  • Android 6.0 and newer
Supported Languages

At the moment, we only support the English (EN) language on our apps and websites.